/**
 * <copyright>
 * </copyright>
 *
 * $Id: WarehouseProcessValidator.java,v 1.1 2008-04-01 09:35:33 vmahe Exp $
 */
package orgomg.cwm.management.warehouseprocess.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.management.warehouseprocess.events.InternalEvent;
import orgomg.cwm.management.warehouseprocess.events.WarehouseEvent;

/**
 * A sample validator interface for {@link orgomg.cwm.management.warehouseprocess.WarehouseProcess}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface WarehouseProcessValidator {
	boolean validate();

	boolean validateStaticDefinition(boolean value);
	boolean validateIsSequential(boolean value);
	boolean validateWarehouseEvent(EList<WarehouseEvent> value);
	boolean validateInternalEvent(EList<InternalEvent> value);
}
